## utouch-compiz 0.1.2

=== CMakeLists.txt ===
project(utouch-compiz)
cmake_minimum_required(VERSION 2.8)

set(PROJECT_NAME "utouch-compiz")
set(UTOUCH_COMPIZ_MAJOR 0)
set(UTOUCH_COMPIZ_MINOR 1)
set(UTOUCH_COMPIZ_MICRO 2)
set(PROJECT_VERSION "${UTOUCH_COMPIZ_MAJOR}.${UTOUCH_COMPIZ_MINOR}.${UTOUCH_COMPIZ_MICRO}")
set(DIST_ROOT "${PROJECT_NAME}-${PROJECT_VERSION}")
set(DIST_FILE "${DIST_ROOT}.tar.gz")

add_custom_target(check
  COMMAND echo "no tests"
)

add_custom_target(dist
  COMMAND bzr export --root=${DIST_ROOT} 
  ${CMAKE_BINARY_DIR}/${DIST_FILE} WORKING_DIRECTORY
  ${CMAKE_SOURCE_DIR})

add_custom_target(distcheck
  COMMAND cd ${CMAKE_BINARY_DIR}
  && rm -rf ${DIST_ROOT}
  && tar xf ${DIST_FILE}
  && mkdir ${DIST_ROOT}/build
  && cd ${DIST_ROOT}/build
  && cmake -DCMAKE_INSTALL_PREFIX=../install ..
  && make install
  && make check
)
add_dependencies(distcheck dist)

find_package(Compiz REQUIRED)
include(CompizPlugin)
compiz_plugin(utouch)

=== debian/changelog ===
utouch-compiz (0.1.2-0ubuntu4) oneiric; urgency=low

  [ Jussi Pakkanen ]
  * Fixes for FTBFS (LP: #832823)
    - Remove distcheck rule, Compiz CMake module provides it now
    - Add VERSION file for Compiz CMake module

 -- Chase Douglas <chase.douglas@ubuntu.com>  Thu, 25 Aug 2011 17:03:26 -0700

utouch-compiz (0.1.2-0ubuntu3) oneiric; urgency=low

  * Removed cmake dist target to fix a FTBFS.

 -- Stephen M. Webb <stephen.webb@canonical.com>  Mon, 08 Aug 2011 14:46:37 -0400

utouch-compiz (0.1.2-0ubuntu2) oneiric; urgency=low

  [ Henrik Rydberg ]
  * Fix broken compiz build dependency (LP: #765529)

  [ Stephen M. Webb ]
  * Unversioned boost build dependencies.
  * Added additional build dependencies.

  [ Chase Douglas ]
  * Bump lintian standards to 3.9.2.

 -- Stephen M. Webb <stephen.webb@canonical.com>  Mon, 08 Aug 2011 14:40:31 -0400

utouch-compiz (0.1.2-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Fixed license wording issues.
  * Moved Vcs-Bzr to lp:~utouch-packaging.

 -- Stephen M. Webb <stephen.webb@canonical.com>  Thu, 03 Feb 2011 13:00:55 -0500

utouch-compiz (0.1.1-0ubuntu1~ppa1) natty; urgency=low

  * Initial release.

 -- Stephen M. Webb <stephen.webb@canonical.com>  Fri, 14 Jan 2011 12:19:09 -0600

=== debian/control ===
Source: utouch-compiz
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               cmake,
               pkg-config,
               compiz-dev (>= 1:0.9.4),
               libboost-dev,
               libboost-serialization-dev,
               libutouch-frame-dev,
               xsltproc
Standards-Version: 3.9.2
Homepage: https://launchpad.net/utouch-compiz
Vcs-Bzr: https://code.launchpad.net/~utouch-packaging/utouch-compiz/ubuntu

Package: utouch-compiz
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         compiz-core, compiz-core-abiversion-${coreabiversion}
Description: uTouch plugin for compiz
 Provides a compiz plugin that serves multi-touch gesture recognition to
 requesting clients.

=== debian/watch ===
version=3
https://launchpad.net/utouch-compiz/+download .*/utouch-compiz-([0-9.]+)\.tar\.gz
